<?php

declare(strict_types=1);

namespace App\Controllers;

use System\View\View;

abstract class Controller
{
    protected View $view;

    public function __construct(View $view)
    {
        $this->view = $view;
    }

    protected function render(
        string $view,
        array $data = []
    ): void {
        $this->view->render($view, $data);
    }
}